
/* Synopsis: Affichage_I2C_Creation_Caractere_V1
   Carte   : Arduino Uno
   Afficheur : I2C
   Librairies: Wire.h et LiquidCrystal_I2C.  
              
   https://electroniquepassion.fr/ 
   C.Mercier  62128 Boiry-Becquerelle  
*/
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
//---------------------------------------
// Adresse, Nbr caracteres, Numero ligne
LiquidCrystal_I2C lcd(0x27, 16, 2);
byte flecheHaute[] = // Caractère flecheHaute
{
    B00100,
    B01110,
    B10101,
    B00100,
    B00100,
    B00100,
    B00100,
    B00100,
};
byte flecheBasse[] = // Caractère flechebasse
{
    B00100,
    B00100,
    B00100,
    B00100,
    B00100,
    B10001,
    B01110,
    B00100,
};
//---------------------------------------
void setup()
{
  lcd.init();// init afficheur
  lcd.backlight();
  lcd.clear();
  lcd.setCursor(3,0);
  lcd.print("arduino I2C"); 
  lcd.createChar(0, flecheHaute);//  Creation caractere adresse 0
  lcd.createChar(5, flecheBasse);//  Creation caractere adresse 5 
  delay(2000);
  lcd.clear(); 
}
//---------------------------------------
void loop()
{       
  lcd.setCursor(0,0);  
  lcd.write((uint8_t) 0); // affiche le caractère de l'adresse 0
  lcd.setCursor(15,1);
  lcd.write((uint8_t) 5); // affiche le caractère de l'adresse 5  
}
//---------------------------------------
